import { Field } from "../../types/field";
import { FieldType } from "../../types/field_type";
import { Sort } from "../../types/sort";
import { Source } from "../../types/source";
export declare abstract class SourceAnalyzer {
    abstract source: Source;
    abstract validSortFields: Field[];
    abstract isFieldValid(field: Field): boolean;
    abstract fieldType(field: Field): FieldType;
    allFieldTypes(field: Field): FieldType[];
    analyzeField(field: Field): void;
    analyzeSortField(sort: Sort): void;
}
